algebra-3.1: Constructive abstract algebra

Safe Haskell | None

Numeric.Log

# Documentation

newtype Log r Source

Constructors

Log |

Fields

runLog :: r

Instances

Division r => RightModule Integer (Log r) |
Unital r => RightModule Natural (Log r) |
Division r => LeftModule Integer (Log r) |
Unital r => LeftModule Natural (Log r) |
Band r => Idempotent (Log r) |
Commutative r => Abelian (Log r) |
Factorable r => Partitionable (Log r) |
Multiplicative r => Additive (Log r) |
Unital r => Monoidal (Log r) |
Division r => Group (Log r) |